V2 APIAccounts
Create account
Staff-only. The authenticated user is attached to the new account as an Admin. The account starts with the default neighborhood categories (see the Neighborhood Categories tag).
POST
/api/v2/accountsStaff-only. The authenticated user is attached to the new account as an Admin. The account starts with the default neighborhood categories (see the Neighborhood Categories tag).
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v2/accounts" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "settings": {}, "role": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "role_id": "ac4e70c8-d5be-48af-93eb-760f58fc91a9", "role_name": "string" }}